[OE-core] [PATCH 1/1] prelink: Uprev prelink to latest version (V2)

Mark Hatle mark.hatle at windriver.com
Fri Jun 24 19:42:48 UTC 2011


The latest cross-prelink version tracks the prelink r190 SVN.

Fix two minor issues as well.  If we remove the package, we would
unprelink the filesystem after the rm was finished.  This is
incorrect.. we need to do this prerm.

Move the cron and cron configuration file to a new package split.
This item is not valid for most embedded users.

Signed-off-by: Mark Hatle <mark.hatle at windriver.com>
---
 .../prelink/prelink/prelink.default                |    2 +-
 meta/recipes-devtools/prelink/prelink_git.bb       |   25 +++++++++++++++++--
 2 files changed, 23 insertions(+), 4 deletions(-)

diff --git a/meta/recipes-devtools/prelink/prelink/prelink.default b/meta/recipes-devtools/prelink/prelink/prelink.default
index 901258e..d8802f8 100644
--- a/meta/recipes-devtools/prelink/prelink/prelink.default
+++ b/meta/recipes-devtools/prelink/prelink/prelink.default
@@ -2,7 +2,7 @@
 # or to yes to enable it.
 # (if you change this from yes to no prelink -ua
 # will be run next night to undo prelinking)
-PRELINKING=unknown
+PRELINKING=yes
 
 # Options to pass to prelink
 # -m	Try to conserve virtual memory by allowing overlapping
diff --git a/meta/recipes-devtools/prelink/prelink_git.bb b/meta/recipes-devtools/prelink/prelink_git.bb
index 1eea30a..b57c145 100644
--- a/meta/recipes-devtools/prelink/prelink_git.bb
+++ b/meta/recipes-devtools/prelink/prelink_git.bb
@@ -8,9 +8,24 @@ and executables, so that far fewer relocations need to be resolved at \
 runtime and thus programs come up faster."
 LICENSE = "GPLv2"
 LIC_FILES_CHKSUM = "file://COPYING;md5=c93c0550bd3173f4504b2cbd8991e50b"
-SRCREV = "909470ee441237563d6236c505cb2d02ddc48704"
+SRCREV = "ac461e73b17253a4da25c5aafeac7193b553156c"
 PV = "1.0+git${SRCPV}"
-PR = "r2"
+PR = "r3"
+
+#
+# The cron script attempts to re-prelink the system daily -- on
+# systems where users are adding applications, this might be reasonable
+# but for embedded, we should be re-running prelink -a after an update.
+#
+# Default is prelinking is enabled.
+#
+SUMMARY_${PN}-cron = "Cron scripts to control automatic prelinking"
+DESCRIPTION_${PN}-cron = "Cron scripts to control automatic prelinking.  \
+See: ${sysconfdir}/cron.daily/prelink for configuration information."
+
+FILES_${PN}-cron = "${sysconfdir}/cron.daily ${sysconfdir}/default"
+
+PACKAGES =+ "${PN}-cron"
 
 SRC_URI = "git://git.yoctoproject.org/prelink-cross.git;protocol=git \
            file://prelink.conf \
@@ -53,9 +68,13 @@ fi
 prelink -a
 }
 
-pkg_postrm_prelink() {
+pkg_prerm_prelink() {
 #!/bin/sh
 
+if [ "x$D" != "x" ]; then
+  exit 1
+fi
+
 prelink -au
 }
 
-- 
1.7.3.4





More information about the Openembedded-core mailing list